Skip to main content
GET
/
api
/
Invoices
Get Invoices
curl --request GET \
  --url https://api-sandbox.revolv3.com/api/Invoices \
  --header 'x-revolv3-token: <api-key>'
import requests

url = "https://api-sandbox.revolv3.com/api/Invoices"

headers = {"x-revolv3-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-revolv3-token': '<api-key>'}};

fetch('https://api-sandbox.revolv3.com/api/Invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "invoiceId": 1,
    "customerId": null,
    "merchantInvoiceRefId": "1234-5678-9101",
    "binNumber": "411111",
    "last4Digit": "1111",
    "invoiceStatus": "Pending",
    "subtotal": 60.99,
    "tax": 5.4,
    "total": 66.39,
    "billingDate": "01.06.2026",
    "merchantLegalName": null,
    "merchantCustomerRefId": null,
    "customerFirstName": null,
    "customerLastName": null
  },
  {
    "invoiceId": 2,
    "customerId": null,
    "merchantInvoiceRefId": "1234-5678-9101",
    "binNumber": "411111",
    "last4Digit": "1111",
    "invoiceStatus": "Pending",
    "subtotal": 40.99,
    "tax": 3.6,
    "total": 43.59,
    "billingDate": "01.07.2026",
    "merchantLegalName": null,
    "merchantCustomerRefId": null,
    "customerFirstName": null,
    "customerLastName": null
  }
]
{
"message": "Unable to perform the request action with provided data."
}
{
"message": "Attempted to perform an unauthorized operation."
}

Authorizations

x-revolv3-token
string
header
required

Query Parameters

merchantCustomerRefId
string
Maximum string length: 100
merchantInvoiceRefId
string
Maximum string length: 100
startDate
string
Maximum string length: 40
endDate
string
Maximum string length: 40
page
integer<int32>
Required range: 1 <= x <= 1000
pageSize
integer<int32>
Required range: 1 <= x <= 100

Response

OK

invoiceId
integer<int64>
customerId
integer<int64> | null
merchantInvoiceRefId
string | null
binNumber
string | null
last4Digit
string | null
invoiceStatus
string | null
subtotal
number<double>
tax
number<double>
total
number<double>
billingDate
string | null
merchantCustomerRefId
string | null
customerFirstName
string | null
customerLastName
string | null